Skip to content

Apply config changes and restart

POST
/api/v1/service-config/apply
curl --request POST \
--url https://osctrl.net/api/v1/service-config/apply \
--header 'Authorization: <Authorization>'

Triggers a graceful service restart to apply DB-edited config changes.

Restart triggered

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}